/*
 *  net/sf/logdistiller/Plugin.java
 *  Copyright (C) 2004-2007 Herv BOUTEMY
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.sf.logdistiller;

/**
 * Plugins' base class.
 */
public abstract class Plugin {
  private final String id;

  protected Plugin(String id) {
    this.id = id;
  }

  public String getId() {
    return id;
  }

  public abstract LogDistillation.Plugin newInstance(LogDistiller.Plugin conf) throws PluginConfigException;
}
